## Apache Zeta Components Manual :: Docs For Class ezcTemplateOutputContext

### Template::ezcTemplateOutputContext

### Interface ezcTemplateOutputContext

Controls output handling in the template engine.

The template engine will use the various methods in an output context object to control how the end result is.

The compiler will use the transformOutput() method when generating PHP structures for output.

Source for this file: /Template/src/interfaces/output_context.php

Version: | //autogen//

### Method Summary

public string | `identifier( )` Returns the unique identifier for the context handler. This is used to uniquely identify the handler, e.g. it is included in the path of compiled files.
public ezcTemplateAstNode | `transformOutput( $node )` Transforms an expressions so it can be displayed in the current output context correctly.

### Methods

#### identifier

string identifier( )

Returns the unique identifier for the context handler. This is used to uniquely identify the handler, e.g. it is included in the path of compiled files.

#### transformOutput

ezcTemplateAstNode transformOutput( $node )

Transforms an expressions so it can be displayed in the current output context correctly.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTemplateAstNode |

Documentation generated by phpDocumentor 1.4.3